---
title: Памятка по решениям в ИБ
description: EDR, UEBA, IAM/IDM, SOAR/IRP, SIEM
date: 2023-01-19T13:00:00+05:00
tags: [security]
---
# [EDR](//encyclopedia.kaspersky.ru/glossary/edr-endpoint-detection-response/) (Endpoint Detection and Response)
Класс решений для обнаружения и изучения вредоносной активности на конечных точках: подключенных к сети рабочих станциях, серверах, устройствах Интернета вещей и так далее. В отличие от антивирусов, задача которых — бороться с типовыми и массовыми угрозами, EDR-решения ориентированы на выявление целевых атак и сложных угроз.\
Примеры: [SOLDR](//github.com/vxcontrol/soldr), [Kaspersky EDR](//kaspersky.ru/enterprise-security/endpoint-detection-response-edr)

# [UEBA](//encyclopedia.kaspersky.ru/glossary/ueba/) (User and Entity Behavior Analytics)
Класс решений для выявления киберугроз, основанная на анализе поведения пользователей, а также устройств, приложений и иных объектов в информационной системе.\
Примеры: [OpenUBA](//github.com/GACWR/OpenUBA), [InfoWatch Prediction](//infowatch.ru/products/uba-sistema-prediction)

# [IAM](//anti-malware.ru/security/account-management-iam-idm?page=1) (Identity and Access Management)
Класс решений для автоматизации управления учетными данными и ролями пользователей информационных систем. Системы управления учетными записями также позволяют производить аудит доступа пользователей, обрабатывать электронные заявки на получение доступа и составлять отчеты.\
Примеры: [FreeIPA](//freeipa.org/page/Main_Page), [RooX UIDM](//uidm.ru)

# [SOAR](//encyclopedia.kaspersky.ru/glossary/security-orchestration-automation-and-response-soar/) (Security Orchestration, Automation and Response)
Класс программных продуктов, предназначенных для оркестровки систем безопасности, то есть их координации и управления ими. В частности, решения класса SOAR позволяют собирать данные о событиях информационной безопасности из различных источников, обрабатывать их и автоматизировать типовые сценарии реагирования на них.\
Примеры: [Shuffle](//shuffler.io/), [Security Vision SOAR](//securityvision.ru/products/irp/)

# [SIEM](//encyclopedia.kaspersky.ru/glossary/siem/) (Security Information and Event Management)
Класс программных продуктов, предназначенных для сбора и анализа информации о событиях безопасности.
Примеры: [Wazuh](//github.com/wazuh/wazuh), [MaxPatrol](//ptsecurity.com/ru-ru/products/mp8)
